Page MenuHomePhabricator

elementary: Efl.Ui.Layout_Factory bind property during widget creation.
ClosedPublic

Authored by cedric on Sep 15 2019, 11:38 PM.

Details

Summary

In the same vain as previous patch this will initialize more of the widget during its
creation and reduce unecessary recalc.

Depends on D9950

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Sep 15 2019, 11:38 PM
bu5hm4n accepted this revision.Sep 16 2019, 12:41 AM
This revision is now accepted and ready to land.Sep 16 2019, 12:41 AM
zmike requested changes to this revision.Sep 16 2019, 6:25 AM
zmike added inline comments.
src/lib/elementary/efl_ui_layout_factory.c
82–83

Use unified API.

83

This should probably be efl_gfx_hint_fill_set

This revision now requires changes to proceed.Sep 16 2019, 6:25 AM
cedric updated this revision to Diff 25194.Sep 19 2019, 1:15 PM
cedric edited the summary of this revision. (Show Details)

rebase and take comment into account

bu5hm4n accepted this revision.Sep 20 2019, 12:31 AM
cedric updated this revision to Diff 25284.Sep 20 2019, 3:23 PM

phab!!!

bu5hm4n accepted this revision.Sep 23 2019, 7:53 AM
cedric updated this revision to Diff 25411.Sep 23 2019, 4:10 PM

rebase and take comments into account.

SanghyeonLee accepted this revision.Sep 23 2019, 7:31 PM

it seems okay to me.

bu5hm4n accepted this revision.Sep 23 2019, 11:56 PM
This revision was not accepted when it landed; it landed in state Needs Review.Sep 24 2019, 12:19 AM
Closed by commit rEFL3c0b496ad342: elementary: Efl.Ui.Layout_Factory bind property during widget creation. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.